<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="auft_auftragbestaetigung_footer" pageWidth="595" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="565" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="c5deabfb-4228-422b-a6d3-4b418aef8990">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="P_BELEGWAEHRUNG" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Waehrung des Belegs]]></parameterDescription>
	</parameter>
	<parameter name="P_LIEFERTERMIN" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Liefertermin]]></parameterDescription>
	</parameter>
	<parameter name="P_LIEFERART" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Lieferart]]></parameterDescription>
	</parameter>
	<parameter name="P_ZAHLUNGSZIEL" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Datum der spaetesten Einzahlmoeglichkeit]]></parameterDescription>
	</parameter>
	<parameter name="P_EIGENTUMSVORBEHALT" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Eigentumsvorbehalt]]></parameterDescription>
	</parameter>
	<parameter name="P_LIEFERBEDINGUNGEN" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Lieferbedingungen]]></parameterDescription>
	</parameter>
	<parameter name="P_FUSSTEXT" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Fusstext]]></parameterDescription>
	</parameter>
	<parameter name="P_MANDANT_ANREDE" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Anrede des Mandanten]]></parameterDescription>
	</parameter>
	<parameter name="P_VERTRETER_ANREDE" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Anrede des Vertreter]]></parameterDescription>
	</parameter>
	<parameter name="P_SUMMARY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Zusammenfassung]]></parameterDescription>
	</parameter>
	<parameter name="P_LABELLIEFERTERMIN" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Label fuer den Liefertermin]]></parameterDescription>
	</parameter>
	<parameter name="P_UNVERBINDLICHERLIEFERTERMIN" class="java.lang.Boolean" isForPrompting="false">
		<parameterDescription><![CDATA[Label fuer den unverbindlichen Liefertermin]]></parameterDescription>
	</parameter>
	<parameter name="P_VERRECHNUNGSBEGINN" class="java.util.Date" isForPrompting="false">
		<parameterDescription><![CDATA[Verrechnungsbeginn]]></parameterDescription>
	</parameter>
	<parameter name="P_VERRECHNUNGSINTERVALL" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Verrechnungsintervall]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_VERTRETER" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Kurzzeichen des Vertreters]]></parameterDescription>
	</parameter>
	<parameter name="P_EXTERNERKOMMENTAR" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Externes Kommentar]]></parameterDescription>
	</parameter>
	<parameter name="P_MANDANT_ANREDE_UND_NAME" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Anrede und Name des Mandanten]]></parameterDescription>
	</parameter>
	<parameter name="P_VERTRETER_UNTERSCHRIFTSFUNKTION_UND_NAME" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_VERTRETER_UNTERSCHRIFTSTEXT" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Unterschriftstext des Vertreters]]></parameterDescription>
	</parameter>
	<parameter name="P_VERTRETEREMAIL" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Emailadresse des Vertreters]]></parameterDescription>
	</parameter>
	<parameter name="P_VERTRETERFAX" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Faxnummer des Vertreters]]></parameterDescription>
	</parameter>
	<parameter name="P_VERTRETERTELEFON" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Telefonnummer des Vertreters]]></parameterDescription>
	</parameter>
	<parameter name="P_LIEFERART_ORT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_TERMINEUNTERSCHIEDLICH" class="java.lang.Boolean"/>
	<parameter name="P_VERTRETER2_UNTERSCHRIFTSFUNKTION_UND_NAME" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_VERTRETER2_UNTERSCHRIFTSTEXT" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Unterschriftstext des Vertreter]]></parameterDescription>
	</parameter>
	<title>
		<band height="54" splitType="Stretch">
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="P_LABELLIEFERTERMIN" positionType="Float" mode="Transparent" x="0" y="0" width="100" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="438269e7-c84c-4713-bdf6-8623d3ac9ec9">
					<printWhenExpression><![CDATA[!$P{P_UNVERBINDLICHERLIEFERTERMIN} && !$P{P_TERMINEUNTERSCHIEDLICH}]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_LABELLIEFERTERMIN}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="P_LIEFERTERMIN" positionType="Float" mode="Transparent" x="100" y="0" width="200" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="0c265205-0546-4f68-bb75-cb3236a76e53">
					<printWhenExpression><![CDATA[!$P{P_UNVERBINDLICHERLIEFERTERMIN} && !$P{P_TERMINEUNTERSCHIEDLICH}]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_LIEFERTERMIN}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="P_LABELLIEFERTERMIN" positionType="Float" mode="Transparent" x="0" y="12" width="100" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="94d8bbbd-6adb-48ba-9867-2480e04d406c">
					<printWhenExpression><![CDATA[$P{P_UNVERBINDLICHERLIEFERTERMIN}]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_LABELLIEFERTERMIN}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Der genaue Liefertermin..." positionType="Float" mode="Transparent" x="100" y="12" width="405" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="80421848-3e44-4e4e-bec0-9d5e1185cfb5">
					<printWhenExpression><![CDATA[$P{P_UNVERBINDLICHERLIEFERTERMIN}]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[You will be noticed as soon as possible about the exact delivery time.]]></text>
			</staticText>
			<rectangle>
				<reportElement key="Platzhalter" positionType="Float" x="0" y="24" width="595" height="6" isRemoveLineWhenBlank="true" forecolor="#FFFFFF" uuid="8799b63f-05cb-44cc-bc4b-1471e370a45c">
					<printWhenExpression><![CDATA[!$P{P_TERMINEUNTERSCHIEDLICH}]]></printWhenExpression>
				</reportElement>
			</rectangle>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement key="summary (Eigentum, Lieferbed, Fusstext)" positionType="Float" mode="Transparent" x="0" y="30" width="505" height="12" isRemoveLineWhenBlank="true" uuid="5b840e71-f62f-447d-ba40-7d8a95a23970"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement markup="styled">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[($P{P_EXTERNERKOMMENTAR}!= null && $P{P_EXTERNERKOMMENTAR}.length() > 5 ? $P{P_EXTERNERKOMMENTAR}+"\n" : "") +
($P{P_EIGENTUMSVORBEHALT}!= null && $P{P_EIGENTUMSVORBEHALT}.length() > 5 ? $P{P_EIGENTUMSVORBEHALT}+"\n" : "") +
($P{P_LIEFERBEDINGUNGEN}!= null && $P{P_LIEFERBEDINGUNGEN}.length() > 5 ? $P{P_LIEFERBEDINGUNGEN}+"\n" : "") +
($P{P_FUSSTEXT}!= null && $P{P_FUSSTEXT}.length() > 5 ? $P{P_FUSSTEXT} : "")]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement key="Mandant, Unterschrift" positionType="Float" mode="Transparent" x="0" y="42" width="290" height="12" isRemoveLineWhenBlank="true" uuid="9274c36e-ac91-44bb-98a7-97ef559e04f8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement markup="styled">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[($P{P_MANDANT_ANREDE_UND_NAME}!= null ? $P{P_MANDANT_ANREDE_UND_NAME} : "") +
($P{P_MANDANT_ANREDE_UND_NAME} != null ? "\n\n" : "") +
($P{P_VERTRETER_UNTERSCHRIFTSFUNKTION_UND_NAME}!= null ? $P{P_VERTRETER_UNTERSCHRIFTSFUNKTION_UND_NAME} : "") +
($P{P_VERTRETER_UNTERSCHRIFTSFUNKTION_UND_NAME} != null ? "\n\n" : "") +
($P{P_VERTRETER_UNTERSCHRIFTSTEXT}!= null ? $P{P_VERTRETER_UNTERSCHRIFTSTEXT}  : "")]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement key="Mandant, Unterschrift" positionType="Float" mode="Transparent" x="300" y="42" width="290" height="12" isRemoveLineWhenBlank="true" uuid="6fce7873-9eb3-401d-bbeb-84a883c1eb27">
					<printWhenExpression><![CDATA[$P{P_VERTRETER2_UNTERSCHRIFTSFUNKTION_UND_NAME}!=null]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement markup="styled">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[($P{P_MANDANT_ANREDE_UND_NAME} != null ? "\n\n" : "") +
($P{P_VERTRETER2_UNTERSCHRIFTSFUNKTION_UND_NAME}!= null ? $P{P_VERTRETER2_UNTERSCHRIFTSFUNKTION_UND_NAME} : "") +
($P{P_VERTRETER2_UNTERSCHRIFTSFUNKTION_UND_NAME} != null ? "\n\n" : "") +
($P{P_VERTRETER2_UNTERSCHRIFTSTEXT}!= null ? $P{P_VERTRETER2_UNTERSCHRIFTSTEXT}  : "")]]></textFieldExpression>
			</textField>
		</band>
	</title>
</jasperReport>
